Subject: Re: [PATCH REPOST3 net-next 0/3] net: add phylink support for PCS

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sat, 14 Mar 2020 22:44:59 +0000

On Sat, Mar 14, 2020 at 11:00:18PM +0100, Andrew Lunn wrote:
> On Sat, Mar 14, 2020 at 10:31:02AM +0000, Russell King - ARM Linux admin wrote:
> > Depends on "net: mii clause 37 helpers".
> > 
> > This series adds support for IEEE 802.3 register set compliant PCS
> > for phylink.  In order to do this, we:
> > 
> > 1. add accessors for modifying a MDIO device register, and use them in
> >    phylib, rather than duplicating the code from phylib.
> > 2. add support for decoding the advertisement from clause 22 compatible
> >    register sets for clause 37 advertisements and SGMII advertisements.
> > 3. add support for clause 45 register sets for 10GBASE-R PCS.
> 
> Hi Russell
> 
> How big is the patchset which actually makes use of this code? It is
> normal to add helpers and at least one user in the same patchset. But
> if that would make the patchset too big, there could be some leeway.

The minimum is three patches:

arm64: dts: lx2160a: add PCS MDIO nodes
dpaa2-mac: add 1000BASE-X/SGMII PCS support
dpaa2-mac: add 10GBASE-R PCS support

but for it to actually be usable on hardware, it needs more than that:

arm64: dts: lx2160a-clearfog-itx: add SFP support

and, at the moment, depending on whether you want 1G or 10G speeds,
changes to the board firmware to select the serdes group mode.

The DTS patches can't go through netdev obviously, and it may be
too late to get them queued through the proper channels.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up